# Ephemeris

Ephemeris provides dignity and relationship calculations around the existing `swe4r` binding to the open source Swiss Ephemeris.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'ephemeris'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install ephemeris

## Usage

`Ephemeris::Zodiac::Aspect` provides multiple modules (`Conjunction`, `Opposition`, `Square`, `Trine`, `Sextile`) which can be used to produce boolean results on the relationship between planets.

`Ephemeris::Zodiac::Dignity` provides boolean results for basic essential dignities (exaltation, domicile, detriment, fall) and (IMHO) and unreliable representation of triplicity. Decanate dignities are not represented (yet).

All methods expect at least one `Ephemeris::Planet` instance (Hellenistic planets supported; no outer planets or small bodies); obviously, aspect queries will expect two.

## TODO List
* Better triplicity API
* Decans in dignity API
* Generic queries like `::dignified?` or `::afflicted?`

## Development

After checking out the repo, run `bin/setup` to install dependencies. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome; contact me on Twitter (@thisisorval).


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
